﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONTEXT' AND COLUMN_NAME = 'COUPONID' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONTEXT_COUPONID')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONTEXT_COUPONID on table COUPONTEXT' 
    ALTER TABLE [dbo].[COUPONTEXT]
    ADD CONSTRAINT [DF_COUPONTEXT_COUPONID] DEFAULT ('0000000') FOR [COUPONID]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONTEXT' AND COLUMN_NAME = 'SEQUENCENO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONTEXT_SEQUENCENO')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONTEXT_SEQUENCENO on table COUPONTEXT' 
    ALTER TABLE [dbo].[COUPONTEXT]
    ADD CONSTRAINT [DF_COUPONTEXT_SEQUENCENO] DEFAULT ('00') FOR [SEQUENCENO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONTEXT' AND COLUMN_NAME = 'PRINTSIZE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONTEXT_PRINTSIZE')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONTEXT_PRINTSIZE on table COUPONTEXT' 
    ALTER TABLE [dbo].[COUPONTEXT]
    ADD CONSTRAINT [DF_COUPONTEXT_PRINTSIZE] DEFAULT ('M') FOR [PRINTSIZE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONTEXT' AND COLUMN_NAME = 'TEXTALIGN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONTEXT_TEXTALIGN')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONTEXT_TEXTALIGN on table COUPONTEXT' 
    ALTER TABLE [dbo].[COUPONTEXT]
    ADD CONSTRAINT [DF_COUPONTEXT_TEXTALIGN] DEFAULT ('L') FOR [TEXTALIGN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONTEXT' AND COLUMN_NAME = 'PRINTTEXT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONTEXT_PRINTTEXT')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONTEXT_PRINTTEXT on table COUPONTEXT' 
    ALTER TABLE [dbo].[COUPONTEXT]
    ADD CONSTRAINT [DF_COUPONTEXT_PRINTTEXT] DEFAULT ('') FOR [PRINTTEXT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'COUPONTEXT' AND COLUMN_NAME = 'DELETED' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_COUPONTEXT_DELETED')
BEGIN 
    PRINT 'Creating default constraint DF_COUPONTEXT_DELETED on table COUPONTEXT' 
    ALTER TABLE [dbo].[COUPONTEXT]
    ADD CONSTRAINT [DF_COUPONTEXT_DELETED] DEFAULT ((0)) FOR [DELETED]
END 
GO

